petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecShift

Shifts all of the components of a vector by computing x[i] = x[i] + shift.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecShift(Vec v,PetscScalar shift)

Logically Collective on Vec

### Input Parameters

| v | - the vector
| shift | - the shift

### Output Parameter

v -the shifted vector

### Level

intermediate

### Location

src/vec/vec/utils/vinv.c

### Examples

src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/bound/examples/tutorials/plate2f.F90.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages